# Method: customers.generateDv360IvtVideoViewabilityReport

- [HTTP request](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/generateDv360IvtVideoViewabilityReport#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/generateDv360IvtVideoViewabilityReport#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/generateDv360IvtVideoViewabilityReport#body.request_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/generateDv360IvtVideoViewabilityReport#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/generateDv360IvtVideoViewabilityReport#body.response_body)
- [Authorization scopes](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/generateDv360IvtVideoViewabilityReport#body.aspect)

Starts the execution of a query to retrieve invalid traffic viewability metrics for the DV360 platform. The results will be written to the specified BigQuery destination table. The returned operation name can be used to poll for query completion status.

### HTTP request

`POST https://adsdatahub.googleapis.com/v1/{customer=customers/*}:generateDv360IvtVideoViewabilityReport`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Ads Data Hub customer making the request. This is in the form of 'customers/\[customerId\]'. e.g. 'customers/123'. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "adsDataCustomerId": string, "startDate": { object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/Date`) }, "endDate": { object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/Date`) }, "timeZone": string, "lineItemIds": [ string ], "destTable": string } ``` |

| Fields ||
|---|---|
| `adsDataCustomerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Linked Ads Data Hub customer ID that owns the ads data. |
| `startDate` | ``object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/Date`)`` The first day of the generated report. |
| `endDate` | ``object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/Date`)`` The last day of the generated report, inclusive. |
| `timeZone` | `string` The time zone for the report start and end dates. If not specified, defaults to 'UTC'. |
| `lineItemIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Line item ids to report on. |
| `destTable` | `string` Destination BigQuery table for query results with the format 'project.dataset.table_name'. If specified, the project must be explicitly whitelisted for the customer's ADH account. If project is not specified, uses default project for the provided customer. If neither project nor dataset is specified, uses the default project and dataset. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`